Package: groovy.json

## [Groovy] Class StreamingJsonDelegate

- groovy.json.StreamingJsonDelegate

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `first`
    `Writer` | `writer`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `StreamingJsonDelegate (Writer w, boolean first)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static def` | `cloneDelegateAndGetContent(Writer w, Closure c, boolean first = true )`
    `static def` | `curryDelegateAndGetContent(Writer w, Closure c, Object o, boolean first = true)`
    `def` | `invokeMethod(String name, Object args)`
    `static boolean` | `isCollectionWithClosure(Object[] args)`
    `static def` | `writeCollectionWithClosure(Writer writer, Collection coll, Closure closure)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### boolean first

    - #### Writer writer

  - ### Constructor Detail

    - #### StreamingJsonDelegate(Writer w, boolean first)

  - ### Method Detail

    - #### static def cloneDelegateAndGetContent(Writer w, Closure c, boolean first = true )

    - #### static def curryDelegateAndGetContent(Writer w, Closure c, Object o, boolean first = true)

    - #### def invokeMethod(String name, Object args)

    - #### static boolean isCollectionWithClosure(Object[] args)

    - #### static def writeCollectionWithClosure(Writer writer, Collection coll, Closure closure)